package geniusweb.simplerunner.gui;

import java.awt.BorderLayout;
import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;

import javax.swing.JButton;
import javax.swing.JFileChooser;
import javax.swing.JPanel;
import javax.swing.JTextField;

/**
 * one-line panel with on left the chosen file and on the right a "Browse"
 * button. If you click browse button you can browse for a file. You can also
 * just type the file location.
 *
 */
public class MyFileChooser extends JPanel {
	private JTextField filenamearea = new JTextField("select a file");
	private JButton browsebutton = new JButton("Browse");

	public MyFileChooser() {
		setLayout(new BorderLayout());
		add(filenamearea, BorderLayout.CENTER);
		add(browsebutton, BorderLayout.EAST);
		browsebutton.addActionListener(new ActionListener() {

			@Override
			public void actionPerformed(ActionEvent e) {
				JFileChooser fc = new JFileChooser();
				int returnVal = fc.showOpenDialog(browsebutton);
				if (returnVal == JFileChooser.APPROVE_OPTION) {
					filenamearea
							.setText(fc.getSelectedFile().getAbsolutePath());
				}
			}
		});

	}

	public String getFile() {
		return filenamearea.getText();
	}
}
